Dauguma mėgsta kritikuoti strateginį kompiuterio intelektą šiuolaikiniuose RTS, kaltindami jį sukčiavimu ir nenatūraliu pačiam žaidėjui elgesiu. Būtent dėl to pora entuziastų pasaulin paleido Warcraft 3: Reign of Chaos ir Warcraft 3: The Frozen Throne nemokamą modifikaciją Advanced Melee AI (sutrumpintai – AMAI).

AMAI – tai bandymas ištaisyti jau egzistuojančio AI, Blizzard programistų “įsiūto” į žaidimo kodą, trūkumus. Pagerintas elektroninis priešininkas pastoviai įvertina kovos eigą, pagal įvairius parametrus (turimas aukso kiekis, priešiškų armijų dydžiai, kiek ilgai jau trunka žaidimas, ir t.t.) pasirinkdamas geriausią taktiką. Jis veikia bet kuriame skirmish tipo žemėlapyje ir šiai dienai (v2.31) palaiko visas pataisoje v1.17b įvestas naujoves, o, kad sudarytų tikrovišką iliuziją, kad žaidžiame prieš realų, gyvą priešininką, kompiuteris net pradėjo… juokauti. Tai jis daro žaidimo metu, laidydamas ironiškas žinutes žaidėjo adresu. Apgauti tokį protą – gan nelengva užduotis net patyrusiam Warcraft fanui. Beje, dabar pergalė suteikia žymiai didesnį pasitenkinimą, nei nugalėjus standartinį priešininką.

Taktinių kombinacijų kiekis neribotas – su AMAI Developer’s Edition pagalba bet kuris žaidiėjas gali sukurti savo karvedį, pritaikyti jį mūšiui konkrečiame žemėlapyje arba tiesiog paredaguoti jau esančią strategiją. Dabar Voratinklyje netgi veikia AMAI strategijų biblioteka, prieinama visiems norintiems.

Savaime aišku, už visa, kas gera, reikia “mokėti”. Su AMAI gerai susitvarkys galingas kompiuteris – sklandžiam žaidimui prieš septynis kompiuterinius priešininkus reikalingas Pentium-4 2.6 GHz kompiuteris. Be to, norint išsaugoti žaidimą arba pasinaudoti “replay” funkcija, gali iškilti problemos. Tą gali įtakoti ir paties “gimtojo” Warcraft 3 klaidos – programistams nepavyko pilnai pakeisti originalaus programinio kodo.

Atsisiųsti AMAI, Player’s Edition “sveriantį” tik 442 Kb galima čia. Developer’s Edition, į kurį įeina strategijų redaktorius ir pradinis programos kodas, jau sveria kiek daugiau – 1.1 МB, bet jam reikalingas PERL kompiliatorius. AI nustatymui būtinas Warcraft 3: Reign of Chaos arba 1.15 ar naujesnės versijos Warcraft 3: The Frozen Throne.

Už naujienas išreiškiame padėką mūsų skaitytojui Aleksandrui Soboliui.

Views All Time
Views All Time
2386
Views Today
Views Today
1
0 0